<!doctype html>

<html lang="es">

    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

        <!-- Font Awesome -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free@5.15.4/css/fontawesome.min.css" integrity="sha384-jLKHWM3JRmfMU0A5x5AkjWkw/EYfGUAGagvnfryNV3F9VqM98XiIH7VBGVoxVSc7" crossorigin="anonymous">

        <style>
            .bg-red      { background-color: lightsalmon;        }
            .bg-green    { background-color: lightgreen;         }
            .bg-blue     { background-color: lightskyblue;       }
            .bg-darkblue { background-color: rgb(85, 175, 211);       }
            .bg-purple   { background-color: rgb(204, 116, 204); }

            .bg-gray     { background-color: lightgray;          }


            .test-size      { min-height: 100px; }
            .half-test-size { min-height: 50px;  }

            .row > * { border: 1px dotted red; }
        </style>

        <title>XD</title>
    </head>

    <body>

        <div class="container">

            <div class="row">
                <h1>
                    Reticula de Bootstrap
                </h1>
            </div>

            <div class="row">
                <div class="col-2">
                    Lorem ipsum dolor sit amet consectetur, adipisicing elit. Eaque earum vero nostrum quam laboriosam saepe. Facere ullam temporibus, soluta, impedit odit perspiciatis perferendis exercitationem placeat voluptatem expedita maxime explicabo obcaecati?
                </div>
                <div class="col-4">
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Est ab hic aperiam, alias illo laborum voluptate repellat nemo quis dolores eos inventore expedita sit aliquid in odit dolor autem eum.
                </div>
                <div class="col-4">
                    Lorem ipsum, dolor sit amet consectetur adipisicing elit. Cumque obcaecati nesciunt repellat voluptate exercitationem non similique, incidunt quidem unde? Nihil deserunt corrupti dolores eveniet reprehenderit corporis nisi ad! Labore, blanditiis.
                </div>
                <div class="col-2">
                    Lorem ipsum dolor sit, amet consectetur adipisicing elit. Labore id dolor possimus sequi itaque, enim sapiente rerum obcaecati facere, modi ut tempora, deserunt nulla odio sint magni explicabo eum soluta?
                </div>
            </div>


            <hr>


            <div class="row">

                <div class="col-2">
                    Lorem ipsum, dolor sit amet consectetur adipisicing elit.
                </div>
                <div class="col-7">
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Incidunt voluptate consequatur provident rerum? Quidem ipsa laudantium incidunt repellat? Vitae facilis nam odio iure dolor impedit. Doloribus laboriosam eveniet nulla delectus.
                </div>
                <div class="col-3">
                    Lorem ipsum, dolor sit amet consectetur adipisicing elit. Quidem quaerat libero cum optio nesciunt sunt dolorem.
                </div>

                <div class="col-3">
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Velit, amet tenetur eius sunt numquam porro consectetur eveniet eum voluptas necessitatibus architecto?
                </div>
                <div class="col-5">
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Ut provident quibusdam voluptas, aut doloremque nemo voluptatem officiis adipisci deserunt dolor numquam quasi veritatis quam, officia, dignissimos quas repellendus beatae harum.
                </div>
                <div class="col-2">
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Dolorem, consequatur.
                </div>
                <div class="col-2">
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit. Cumque, asperiores!
                </div>

                <div class="col-7">
                    Lorem ipsum, dolor sit amet consectetur adipisicing elit. Dolorem blanditiis rem cum beatae velit harum unde sapiente, eum ex nobis vel repudiandae hic dolorum quasi? Incidunt non nulla optio recusandae?
                </div>
                <div class="col-3 offset-md-2">
                    Lorem ipsum dolor sit amet consectetur adipisicing elit. Ad itaque, inventore maxime ea ipsum minus similique deleniti nisi eum. Molestiae, labore itaque! A impedit distinctio iure facilis mollitia aperiam fugiat?
                </div>

            </div>
        </div>


        <!-- jQuery and Bootstrap Bundle (includes Popper) -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
    </body>

</html>
